@PHOLHAD


CREATE TABLE PHTEPX (
    TABEPX VARCHAR(4) NOT NULL, 
    CODEPX VARCHAR(6) NOT NULL, 
    IDENTI VARCHAR(40),
    TIPEPX VARCHAR(2), 
    DESCRI VARCHAR(250),
    CADEPX VARCHAR(30), 
    INDEFZ VARCHAR(2),
    INDPRO VARCHAR(2), 
    INDFUN VARCHAR(2),
    INDVAL VARCHAR(2),
    INDPER VARCHAR(2),
    INDHIG VARCHAR(2),
    INDMAN VARCHAR(2),
    INDBLQ VARCHAR(2),
PRIMARY KEY (TABEPX,CODEPX)
);

@EXECSQL

CREATE TABLE PHCTCP (
    CODEMP VARCHAR(4) NOT NULL, 
    CODCAD VARCHAR(8) NOT NULL, 
    SEQUEN VARCHAR(4) NOT NULL, 
    CODTCP VARCHAR(6), 
    DESCRI VARCHAR(80),
    DATTCP VARCHAR(10), 
    DURTCP VARCHAR(6), 
    MODTCP VARCHAR(2),
    TIPTCP VARCHAR(2),
    OBSERV VARCHAR(80), 
    TIPPRF VARCHAR(2),
    EMPPRF VARCHAR(4),
    CADPRF VARCHAR(8),
    CPFPRF VARCHAR(14),
    NOMPRF VARCHAR(70), 
    FRMPRF VARCHAR(60),
    CBOPRF VARCHAR(10),
PRIMARY KEY (CODEMP,CODCAD,SEQUEN)
);
@EXECSQL

DROP TABLE PHCCDT;
@EXECSQL

DROP TABLE PHCCDT2;
@EXECSQL

DROP TABLE PHCCDT3;
@EXECSQL


CREATE TABLE PHCCDT (
    CODEMP  VARCHAR(4) NOT NULL,
    CODCAD  VARCHAR(8) NOT NULL,
    SEQCDT  VARCHAR(4) NOT NULL,
    IDENTI  VARCHAR(40),
    DATINI  VARCHAR(10),
    DATFIN  VARCHAR(10),
    CODAMB  VARCHAR(4),
    DESATI  VARCHAR(100),
    CODATI  VARCHAR(6),
    FRISC1  VARCHAR(12),
    FRISC2  VARCHAR(12),
    TIPAVA  VARCHAR(2), 
    INTCON  VARCHAR(20),
    LIMCON  VARCHAR(20),
    UNICON  VARCHAR(2),
    TECMED  VARCHAR(40),
    INSALU  VARCHAR(2),
    PERICU  VARCHAR(2),
    APOESP  VARCHAR(2), 
    OBSERV  VARCHAR(80),
    USOEPC  VARCHAR(2),
    EFZEPC  VARCHAR(2),
    USOEPI  VARCHAR(2),

    CODMED  VARCHAR(4), 
    RSPCPF  VARCHAR(14),
    RSPNIS  VARCHAR(11),
    RSPNOM  VARCHAR(70),
    OCXTIP  VARCHAR(2),
    OCXIDE  VARCHAR(2),
    OCXDES  VARCHAR(20),
    OCXNUM  VARCHAR(14),
    OCXEST  VARCHAR(2),
    METODO  VARCHAR(60),
    METOBS  VARCHAR(80),
PRIMARY KEY (CODEMP, CODCAD, SEQCDT)
);
@EXECSQL

CREATE TABLE PHCCDT2 (
    CODEMP  VARCHAR(4) NOT NULL,
    CODCAD  VARCHAR(8) NOT NULL,
    SEQCDT  VARCHAR(4) NOT NULL,  
    SEQEPX  VARCHAR(4) NOT NULL,
    CODEPX  VARCHAR(6),
    DESCRI  VARCHAR(60),
    TIPEPX  VARCHAR(2),
    CADEPX  VARCHAR(20),
    INDEFZ  VARCHAR(2),
    INDPRO  VARCHAR(2), 
    INDFUN  VARCHAR(2),
    INDVAL  VARCHAR(2),
    INDPER  VARCHAR(2),
    INDHIG  VARCHAR(2),
    INDMAN  VARCHAR(2),
PRIMARY KEY (CODEMP, CODCAD, SEQCDT, SEQEPX)
);
@EXECSQL


CREATE TABLE PHMANP (
    CODEMP  VARCHAR(4) NOT NULL,
    CODNIV  VARCHAR(2) NOT NULL,
    ANOMES  VARCHAR(8) NOT NULL,
    CODFOL  VARCHAR(2) NOT NULL,
    CODTOM  VARCHAR(4) NOT NULL,
    BSIN00  VARCHAR(15),
    BSIN15  VARCHAR(15),
    BSIN20  VARCHAR(15),
    BSIN25  VARCHAR(15),
    BS1300  VARCHAR(15),
    BSFG00  VARCHAR(15),
    VLINSS  VARCHAR(15),
 PRIMARY KEY (CODEMP, CODNIV, ANOMES, CODFOL, CODTOM)
);
@EXECSQL
